Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.contribution.visualiser.simpleImpl
Class SimpleGroup

    java.lang.Object
      org.eclipse.contribution.visualiser.simpleImpl.SimpleGroup

All Implemented Interfaces:
  IGroup, IMember

Direct Known Subclasses:
  JDTGroup

public class SimpleGroup
extends java.lang.Object
implements IGroup

Simple implementation of a group, see IGroup/IMember for more information.

Constructor Summary
`SimpleGroup(java.lang.String n)` The constructor - takes the group's name as an argument

Method Summary
`void` | `add(IMember m)` Add a member to this group
`IGroup` | `getContainingGroup()` Get the containing group.
`java.lang.String` | `getFullname()` Get the full name for the group.
`java.util.List` | `getMembers()` Get all the members contained in this group
`java.lang.String` | `getName()` Get the name of this group
`java.lang.Integer` | `getSize()` Get the size for this group.
`java.lang.String` | `getToolTip()` Get this group's tooltip
`void` | `setContainingGroup(IGroup grp)` Set the containing group.
`void` | `setName(java.lang.String string)` Set the name of this group
`void` | `setSize(int size)` Set the size for this group.
`void` | `setTooltip(java.lang.String string)` Set the tooltip for this group
`java.lang.String` | `toString()` Get the String representation of this group.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SimpleGroup

    public SimpleGroup(java.lang.String n)

  The constructor - takes the group's name as an argument

Parameters:
  `n` - - name

Method Detail

### getFullname

    public java.lang.String getFullname()

  Get the full name for the group. In this implementation this is the same as the name.

  Specified by:
    `getFullname` in interface `IMember`
  Returns:
    the full name

### add

    public void add(IMember m)

  Add a member to this group

  Specified by:
    `add` in interface `IGroup`

### getMembers

    public java.util.List getMembers()

  Get all the members contained in this group

  Specified by:
    `getMembers` in interface `IGroup`

### setName

    public void setName(java.lang.String string)

  Set the name of this group

  Specified by:
    `setName` in interface `IMember`

### getName

    public java.lang.String getName()

  Get the name of this group

  Specified by:
    `getName` in interface `IMember`
  Returns:
    this member's name

### setTooltip

    public void setTooltip(java.lang.String string)

  Set the tooltip for this group

  Specified by:
    `setTooltip` in interface `IMember`
  Parameters:
    `string` - - the tooltip

### getToolTip

    public java.lang.String getToolTip()

  Get this group's tooltip

  Specified by:
    `getToolTip` in interface `IMember`
  Returns:
    the tooltip

### setSize

    public void setSize(int size)

  Set the size for this group. This implementaion does nothing in this method and automatically sets the size to the sum of all the sizes of its members

  Specified by:
    `setSize` in interface `IMember`
  Parameters:
    `size` - - the size

### getSize

    public java.lang.Integer getSize()

  Get the size for this group. This is the sum of all sizes of its members.

  Specified by:
    `getSize` in interface `IMember`
  Returns:
    the size

### getContainingGroup

    public IGroup getContainingGroup()

  Get the containing group. This currently has no meaning for groups and returns null as a group cannot be nested within another group.

  Specified by:
    `getContainingGroup` in interface `IMember`
  Returns:
    the group which contains this member

### setContainingGroup

    public void setContainingGroup(IGroup grp)

  Set the containing group. Does nothing as a group cannot be nested within another group.

  Specified by:
    `setContainingGroup` in interface `IMember`
  Parameters:
    `grp` -

### toString

    public java.lang.String toString()

  Get the String representation of this group. This contains the name, the size and the number of members.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD